Bug 220531 - quagga: non-failsafe install-info usage, info files removed from index on update
quagga: non-failsafe install-info usage, info files removed from index on update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: quagga (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-21 17:28 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 06:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-21 17:28:48 EST
quagga's install-info usage is not failsafe, see
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#info

Additionally, the install-info --delete in %postun should be wrapped inside "if
[ $1 -eq 0 ]" to prevent the info files from being removed from the index on
upgrades.
Comment 1 Martin Bacovsky 2007-07-31 06:01:38 EDT
This issue should be fixed in RAWHIDE (quagga-0.99.8-1.fc8 and above)
Comment 2 Ville Skyttä 2007-07-31 11:16:05 EDT
(In reply to comment #1)
> This issue should be fixed in RAWHIDE (quagga-0.99.8-1.fc8 and above)

Hm, the latest I see in CVS at the momemnt is 0.99.7-1.fc* ...?

Note You need to log in before you can comment on or make changes to this bug.